
// ===========================================
// Scanner's Java - Identifier for video files
// ===========================================

package redhorizon.filetypes;

/**
 * Interface and identifier for video files (eg: VQA, AVI, etc...).  Essentially
 * a combination of an {@link AnimationFile} with a {@link SoundFile} to
 * create the video.
 * 
 * @author Emanuel Rabina
 */
public interface VideoFile extends AnimationFile, SoundFile {

}
