
// ===================================================================
// Scanner's Java - Representation of the internal WSA palette colours
// ===================================================================

package redhorizon.filetypes.wsa;

import redhorizon.filetypes.pal.PalColour;
import redhorizon.utilities.FilePointer;

/**
 * Representation of a colour in a WSA file's internal palette.  Draws a lot of
 * similarties to the general palette colour representation.
 * 
 * @author Emanuel Rabina
 * @see PalColour
 */
public class WsaColour extends PalColour {

	/**
	 * Constructor, takes the RGB values from the <code>FilePointer</code>.
	 * 
	 * @param file <code>FilePointer</code> to a palette colour.
	 */
	WsaColour(FilePointer file) {

		super(file);
	}
}
