
// ===============================================================
// Scanner's Java - Keys to message text for the filetypes package
// ===============================================================

package redhorizon.strings;

/**
 * Keys to the messages located in the <code>Core_ErrorText</code> resource
 * bundle, used for messages generated from the filetypes package.
 * 
 * @author Emanuel Rabina
 */
public enum Common_Filetypes {

	// General messages
	FILE_NO_SAVE,

	// File info
	IMAGE_NUM,
	IMAGE_DIMX,
	IMAGE_DIMY,
	IMAGE_DIM_VARIES,
	IMAGE_COLOURS,
	IMAGE_COLOURS_BIT,
	IMAGE_COLOURS_PALETTE,

	// Dune 2 SHP file conversion messages
	IMAGE_MAX_NUM,
	IMAGE_MAX_WIDTH,
	IMAGE_MAX_HEIGHT,
	IMAGE_MAX_SIZE,
	IMAGE_TYPE_PALETTED,

	// Utility messages
	DIMENSIONS_MISMATCH_COMBINE,
	DIMENSIONS_MISMATCH_SPLIT;
}
