
// =======================================
// Scanner's Java - Mission file interface
// =======================================

package redhorizon.filetypes;

/**
 * Interface for files containing mission data.  Contains no methods or
 * constants, so is more of an identifier of mission files (missions are
 * essentially map files).
 * 
 * @author Emanuel Rabina
 */
public interface MissionFile extends MapFile {

	/**
	 * Returns the name of this mission (not the name of the file).
	 * 
	 * @return Mission name.
	 */
	public String missionName();
}
