
// ========================================
// Scanner's Java - PCX file palette colour
// ========================================

package redhorizon.filetypes.pcx;

import redhorizon.filetypes.pal.PalColour;
import redhorizon.utilities.FilePointer;

/**
 * Representation of a colour located in the PCX file's internal palette.
 * 
 * @author Emanuel Rabina
 */
public class PcxColour extends PalColour {

	/**
	 * Constructor, takes the RGB values from the <code>FilePointer</code>.
	 * Specifies if bytes are in old VGA form or not.
	 * 
	 * @param file	  <code>FilePointer</code> to a palette colour.
	 * @param vgaform 0-63 range (<code>true</code>) or 0-255 range
	 * 				  (<code>false</code>).
	 */
	PcxColour(FilePointer file, boolean vgaform) {

		super(file, vgaform);
	}
}
