
// ===============================================================
// Scanner's Java - Keys to message text for the utilities package
// ===============================================================

package redhorizon.strings;

/**
 * Keys to the messages located in the <code>Utilities_ConverterText</code>
 * resource bundle, used for messages generated from the filetypes package.
 * 
 * @author Emanuel Rabina
 */
public enum Utilities_Converter {

	// Conversion text
	LOADING_INPUT,
	SAVING_OUTPUT,
	CONVERSION_COMPLETE,

	// Error message text
	FILE_NOT_FOUND,
	UNSUPPORTED_CONVERSION;
}
